Index: TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 3854)
+++ TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 3855)
@@ -350,7 +350,7 @@
 			// Updating the main frequency table header
 			String text = TXMCoreMessages.common_frequency;
 			if (this.getResult().hasBeenComputedOnce()) {
-				text += " " + SpecificitiesUIMessages.t + " " + this.getResult().getFrequenciesSum();
+				text += " " + SpecificitiesUIMessages.t + " " + this.getResult().getFrequenciesSum(); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			typeFrequencyColumn.setText(text);
 			typeFrequencyColumn.setToolTipText(typeFrequencyColumn.getText());
@@ -368,7 +368,7 @@
 				TableColumn freqpartTableColumn = specificitesTable.getColumn(firstLexicalTableColumnIndex);
 				text = lexicalTableColumnNames[i];
 				if (this.getResult().hasBeenComputedOnce()) {
-					text += " t=" + lexicalTableColumnTotalFrequencies[i];
+					text += " t=" + lexicalTableColumnTotalFrequencies[i]; //$NON-NLS-1$
 				}
 				freqpartTableColumn.setText(text);
 				freqpartTableColumn.setToolTipText(freqpartTableColumn.getText());
Index: TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/ExecuteRScript.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/ExecuteRScript.java	(revision 3854)
+++ TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/ExecuteRScript.java	(revision 3855)
@@ -114,7 +114,7 @@
 			}
 			dialog.setFilterExtensions(new String[] { "*.R" }); //$NON-NLS-1$
 
-			String scriptCurrentDir = Toolbox.getTxmHomePath() + "/scripts";
+			String scriptCurrentDir = Toolbox.getTxmHomePath() + "/scripts"; //$NON-NLS-1$
 			
 			dialog.setFilterPath(scriptCurrentDir);
 			result = dialog.open();
Index: TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/RAdaptor.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/RAdaptor.java	(revision 3854)
+++ TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/RAdaptor.java	(revision 3855)
@@ -11,7 +11,7 @@
 	
 	
 	public static String sendToR(TXMResult result) {
-		return "";
+		return ""; //$NON-NLS-1$
 	}
 
 	/**
Index: TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/decorators/RDecorator.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/decorators/RDecorator.java	(revision 3854)
+++ TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/decorators/RDecorator.java	(revision 3855)
@@ -72,7 +72,7 @@
 		// Overlay custom image over base image 
 		try {
 			Image image2;
-			OverlayImageIcon overlayIcon = new OverlayImageIcon(image, "platform:/plugin/"+ FrameworkUtil.getBundle(RDecorator.class).getSymbolicName() + "/icons/decorators/R.png"); //$NON-NLS-1$
+			OverlayImageIcon overlayIcon = new OverlayImageIcon(image, "platform:/plugin/"+ FrameworkUtil.getBundle(RDecorator.class).getSymbolicName() + "/icons/decorators/R.png"); //$NON-NLS-1$ //$NON-NLS-2$
 			image2 = overlayIcon.getImage();
 			return image2;
 		}
Index: TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RScriptEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RScriptEngine.java	(revision 3854)
+++ TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RScriptEngine.java	(revision 3855)
@@ -21,7 +21,7 @@
 public class RScriptEngine extends ScriptEngine {
 
 	public RScriptEngine() {
-		super("R", "R");
+		super("R", "R"); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 
 	@Override
Index: TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/InstallRUserPart.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/InstallRUserPart.java	(revision 3854)
+++ TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/InstallRUserPart.java	(revision 3855)
@@ -12,25 +12,25 @@
 	@Override
 	public boolean do_install(Workspace workspace) {
 		File txmhomedir = new File(Toolbox.getTxmHomePath());
-		File dir = new File(txmhomedir, "R/libraries");
+		File dir = new File(txmhomedir, "R/libraries"); //$NON-NLS-1$
 		dir.mkdirs();
 		
-		File scriptsDirectory = new File(dir, "scripts");
+		File scriptsDirectory = new File(dir, "scripts"); //$NON-NLS-1$
 		scriptsDirectory.mkdirs();
-		BundleUtils.copyFiles("org.txm.statsengine.r.core", "", "", "R/", scriptsDirectory, true);
+		BundleUtils.copyFiles("org.txm.statsengine.r.core", "", "", "R/", scriptsDirectory, true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		
 		return dir.exists() && scriptsDirectory.exists();
 	}
 
 	@Override
 	public String getName() {
-		return "R (org.txm.statengine.r.core)";
+		return "R (org.txm.statengine.r.core)"; //$NON-NLS-1$
 	}
 	
 	@Override
 	public boolean needsReinstall(Workspace workspace) {
 		File txmhomedir = new File(Toolbox.getTxmHomePath());
-		File dir = new File(txmhomedir, "R/libraries");
+		File dir = new File(txmhomedir, "R/libraries"); //$NON-NLS-1$
 		return !dir.exists();
 	}
 }
Index: TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/StartRserve.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/StartRserve.java	(revision 3854)
+++ TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/StartRserve.java	(revision 3855)
@@ -145,9 +145,9 @@
 			
 			// Log.info(Messages.StartRserve_0+Arrays.toString(cmdline));
 			StreamHog errStream = new StreamHog(rProcess.getErrorStream(), RWorkspace.isLoggingEvalCommandLines());
-			errStream.setName("R-err");
+			errStream.setName("R-err"); //$NON-NLS-1$
 			StreamHog inStream = new StreamHog(rProcess.getInputStream(), RWorkspace.isLoggingEvalCommandLines());
-			inStream.setName("R");
+			inStream.setName("R"); //$NON-NLS-1$
 			RWorkspace.getRWorkspaceInstance().registerLogger(errStream, inStream);
 			
 			// if (!debug && !isWindows) Rserveprocess.waitFor();
@@ -184,7 +184,7 @@
 			
 			attempts--;
 		}
-		Log.fine("R connection attemps done.");
+		Log.fine("R connection attemps done."); //$NON-NLS-1$
 		return false;
 	}
 	
@@ -289,15 +289,15 @@
 	
 	
 	public static void main(String[] args) {
-		System.out.println("result=" + checkLocalRserve(8212, false, "", ""));
+		System.out.println("result=" + checkLocalRserve(8212, false, "", "")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		try {
-			System.out.println("Start RServe");
-			RConnection c = new RConnection("localhost", 8212);
-			System.out.println("Stop RServe");
-			c.eval("print(1+1)");
-			c.eval("2+2");
+			System.out.println("Start RServe"); //$NON-NLS-1$
+			RConnection c = new RConnection("localhost", 8212); //$NON-NLS-1$
+			System.out.println("Stop RServe"); //$NON-NLS-1$
+			c.eval("print(1+1)"); //$NON-NLS-1$
+			c.eval("2+2"); //$NON-NLS-1$
 			c.shutdown();
-			System.out.println("Done");
+			System.out.println("Done"); //$NON-NLS-1$
 		}
 		catch (Exception x) {
 			x.printStackTrace();
Index: TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RWorkspaceException.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RWorkspaceException.java	(revision 3854)
+++ TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RWorkspaceException.java	(revision 3855)
@@ -75,7 +75,7 @@
 	}
 	
 	public String getMessage() {
-		return "R error: "+super.getMessage();
+		return "R error: "+super.getMessage(); //$NON-NLS-1$
 	}
 
 }
